JUCE: juce::midi_ci::DeviceMessageHandler Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::midi_ci::DeviceMessageHandler Struct Referenceabstract
juce_midi_ci » ci

An interface that will receive a callback every time a Device wishes to send a new MIDI-CI message. More...

`#include <juce_CIDeviceMessageHandler.h>`

Inheritance diagram for juce::midi_ci::DeviceMessageHandler:

## Public Member Functions
| DeviceMessageHandler ()=default
virtual | ~DeviceMessageHandler ()=default
| DeviceMessageHandler (const DeviceMessageHandler &)=default
| DeviceMessageHandler (DeviceMessageHandler &&)=default
DeviceMessageHandler & | operator= (const DeviceMessageHandler &)=default
DeviceMessageHandler & | operator= (DeviceMessageHandler &&)=default
virtual void | processMessage (ump::BytesOnGroup)=0
| Called with the bytes of a MIDI-CI message, along with the message's group.

## Detailed Description

An interface that will receive a callback every time a Device wishes to send a new MIDI-CI message.

## Constructor & Destructor Documentation

## ◆ DeviceMessageHandler() [1/3]

juce::midi_ci::DeviceMessageHandler::DeviceMessageHandler | ( |  | ) |
| default

## ◆ ~DeviceMessageHandler()

virtual juce::midi_ci::DeviceMessageHandler::~DeviceMessageHandler | ( |  | ) |
| virtualdefault

## ◆ DeviceMessageHandler() [2/3]

juce::midi_ci::DeviceMessageHandler::DeviceMessageHandler | ( | const DeviceMessageHandler & |  | ) |
| default

## ◆ DeviceMessageHandler() [3/3]

juce::midi_ci::DeviceMessageHandler::DeviceMessageHandler | ( | DeviceMessageHandler && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

DeviceMessageHandler & juce::midi_ci::DeviceMessageHandler::operator= | ( | const DeviceMessageHandler & |  | ) |
| default

## ◆ operator=() [2/2]

DeviceMessageHandler & juce::midi_ci::DeviceMessageHandler::operator= | ( | DeviceMessageHandler && |  | ) |
| default

## ◆ processMessage()

virtual void juce::midi_ci::DeviceMessageHandler::processMessage | ( | ump::BytesOnGroup |  | ) |
| pure virtual

Called with the bytes of a MIDI-CI message, along with the message's group.

To send the message on, format the message appropriately (either into bytestream sysex or into multiple UMP sysex packets).

Implemented in juce::midi_ci::Device.

The documentation for this struct was generated from the following file:

- juce_CIDeviceMessageHandler.h